ProLiant Servers (ML,DL,SL)

DL380 G7 - CentOS installed > Would it make sense to install SEP tools and drivers?

 
CoramDaes
Advisor

DL380 G7 - CentOS installed > Would it make sense to install SEP tools and drivers?

So I am running CentOS 8.2.2004 Core (latest current release) on my G7's and all is swell, but I was wondering if I would be able to access additional monitoring if I installed the pertaining SEP packages on those, like Insight and drivers.

Would the installation of additional drivers, aside from the ones provided in CentOS give access to a thing like S.M.A.R.T since it is not available?

Maybe some of this topic is already covered by this thread: https://community.hpe.com/t5/proliant-servers-ml-dl-sl/installing-insight-management-agents-on-redhat-linux-6-5/td-p/7109115

 

 

 

4 REPLIES 4
Suvamay
HPE Pro

Re: DL380 G7 - CentOS installed > Would it make sense to install SEP tools and drivers?

Hello,

 To access additional monitoring you need to install SEP.

Please follow the 

https://community.intel.com/t5/Analyzers/Problem-while-installing-SEP-kernel-driver-in-CentOS/td-p/1130470

Thanks,

 


I am an HPE employee

Accept or Kudo

CoramDaes
Advisor

Re: DL380 G7 - CentOS installed > Would it make sense to install SEP tools and drivers?

So the instructions you refer to are:

 

./insmod-sep -g root
Checking for PMU arbitration service (PAX) ... detected.
PAX service is accessible to users in group "root".
Checking for socperf driver ... not detected.
The socperf2_0 driver is already loaded! This driver will be used. Please remove the driver and reinstall to load again.
Executing: insmod ./sep4_1-x32_64-3.10.0-327.13.1.el7.x86_64smp.ko
insmod: ERROR: could not insert module ./sep4_1-x32_64-3.10.0-327.13.1.el7.x86_64smp.ko: Invalid parameters

Error: sep4_1 driver failed to load!

You may need to build sep4_1 driver for your kernel.
Please see the sep4_1 driver README for instructions.

 

I checked the README but it has nothing about the sep4_1 driver. Additionally, I ran the dmesg command and I got this:

[442617.203782] sep4_1: disagrees about version of symbol perf_tp_event
[442617.203809] sep4_1: Unknown symbol perf_tp_event (err -22)

 

 

and after that:

This error caused by incorrect driver build, the driver must be compiled for the running kernel.

First of all try to rebuild driver on current system and load it again. If you face the problem again it means that during build process incorrect path to kernel headers used. Try to set another kernel header path, commonly it in:
/lib/modules/kernel_version/build
/usr/src/kernels/kernel_version

- - -

I thought I had to load up the 2018.06 SEP ISO in to the enviroenment and run the installer from a terminal

./launch_sum.sh

... similar to what one would do in Windows...   However this is a Core CentOS setup so no UI but for my additional layer of Webmin.

 

Suvamay
HPE Pro

Re: DL380 G7 - CentOS installed > Would it make sense to install SEP tools and drivers?

Hello,

No idea about cent OS core.

Thanks

 


I am an HPE employee

Accept or Kudo

CoramDaes
Advisor

Re: DL380 G7 - CentOS installed > Would it make sense to install SEP tools and drivers?

no matter, I have skipped that approach...